Loading...
Searching...
No Matches
Opm::UgGridHelpers::CellVolumeIterator Class Reference

An iterator over the cell volumes. More...

`#include <GridHelpers.hpp>`

Inheritance diagram for Opm::UgGridHelpers::CellVolumeIterator:

## Public Member Functions

| CellVolumeIterator (const Dune::CpGrid &grid, int cell_index)
| Creates an iterator.
double | dereference () const
void | increment ()
double | elementAt (int n) const
void | advance (int n)
void | decrement ()
int | distanceTo (const CellVolumeIterator &o) const
bool | equals (const CellVolumeIterator &o) const

## Detailed Description

An iterator over the cell volumes.

## Constructor & Destructor Documentation

## CellVolumeIterator()

Opm::UgGridHelpers::CellVolumeIterator::CellVolumeIterator | ( | const Dune::CpGrid & | grid,
|  | int | cell_index )

inline

Creates an iterator.

Parameters

  grid | The grid the iterator belongs to.
  cell_index | The position of the iterator.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp